View Issue Details

IDProjectCategoryView StatusLast Update
0014516LazarusLCLpublic2009-09-16 20:44
ReporterDenis Golovan Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN) 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0014516: TColorBox Selected does not call OnChange
DescriptionWhen color assigned directly to TColorBox, no OnChange event is triggered.
When color assigned using combo box, OnChange fires.
Patch against latest svn is attached
TagsNo tags attached.
Fixed in Revision21588
LazTarget0.9.30
WidgetsetGTK 2
Attached Files

Activities

2009-09-05 22:18

 

colorbox.patch (448 bytes)   
diff --git a/lcl/colorbox.pas b/lcl/colorbox.pas
index af5373a..944347f 100644
--- a/lcl/colorbox.pas
+++ b/lcl/colorbox.pas
@@ -439,6 +439,7 @@ begin
       if Colors[c] = Value then
       begin
         ItemIndex := c;
+        inherited Change;
         Exit;
       end;
     end;
@@ -453,6 +454,7 @@ begin
   end
   else
     FSelected := Value;
+  inherited Change;
 end;
 
 procedure TCustomColorBox.SetStyle(const AValue: TColorBoxStyle);
colorbox.patch (448 bytes)   

Paul Ishenin

2009-09-06 12:56

manager   ~0030474

Thanks, applied.

Please test and close if ok.

Denis Golovan

2009-09-16 20:44

reporter   ~0030777

Tested. Works :)

Issue History

Date Modified Username Field Change
2009-09-05 22:18 Denis Golovan New Issue
2009-09-05 22:18 Denis Golovan File Added: colorbox.patch
2009-09-05 22:18 Denis Golovan Widgetset => GTK 2
2009-09-06 12:56 Paul Ishenin Fixed in Revision => 21588
2009-09-06 12:56 Paul Ishenin LazTarget => 0.9.30
2009-09-06 12:56 Paul Ishenin Status new => resolved
2009-09-06 12:56 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-09-06 12:56 Paul Ishenin Resolution open => fixed
2009-09-06 12:56 Paul Ishenin Assigned To => Paul Ishenin
2009-09-06 12:56 Paul Ishenin Note Added: 0030474
2009-09-06 12:56 Paul Ishenin Target Version => 0.9.30
2009-09-16 20:44 Denis Golovan Status resolved => closed
2009-09-16 20:44 Denis Golovan Note Added: 0030777